#!/bin/sh
# Chapter 13 - Using printf
# This example demonstrates the use of the formatting directives in 
# the printf command

printf "%-32s %s\n" "File Name" "File Type"

for i in *;
do
    printf "%-32s " "$i"
    if [ -d "$i" ]; then
        echo "directory"
    elif [ -h "$i" ]; then
        echo "symbolic link"
    elif [ -f "$i" ]; then
        echo "file"
    else
        echo "unknown"
    fi;
done
